LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 12-18-2017, 05:44 AM   #1
hstoellinger
LQ Newbie
 
Registered: Jun 2015
Location: Salzburg
Distribution: Mint, Debian 8
Posts: 14

Rep: Reputation: Disabled
Kernel upgrade-troubles


I run KDE-Neon 5.8.8 on my Sony laptop. Since a couple of days ago I have a problem updating/upgrading to the "newest" software. Obviously there is a problem with the kernel. I get the following messages:
Code:
Die folgenden teilweise installierten Pakete werden konfiguriert:
  linux-image-4.10.0-42-generic 
Es werden keine Pakete installiert, aktualisiert oder entfernt.
0 Pakete aktualisiert, 0 zusätzlich installiert, 0 werden entfernt und 0 nicht aktualisiert.
29,8 MB an Archiven müssen heruntergeladen werden. Nach dem Entpacken werden 0 B zusätzlich belegt sein.
Holen: 1 http://at.archive.ubuntu.com/ubuntu xenial-updates/main amd64 linux-image-extra-4.10.0-42-generic amd64 4.10.0-42.46~16.04.1 [29,8 MB]
29,8 MB wurden in 15 s heruntergeladen (1.888 kB/s)                                                                                                                                     
linux-image-4.10.0-42-generic (4.10.0-42.46) wird eingerichtet ...                                                                                                                      
Running depmod.                                                                                                                                                                         
update-initramfs: deferring update (hook will be called later)                                                                                                                          
initrd.img(/boot/initrd.img-4.10.0-42-generic                                                                                                                                           
) points to /boot/initrd.img-4.10.0-42-generic
 (/boot/initrd.img-4.10.0-42-generic) -- doing nothing at /var/lib/dpkg/info/linux-image-4.10.0-42-generic.postinst line 491.
vmlinuz(/boot/vmlinuz-4.10.0-42-generic
) points to /boot/vmlinuz-4.10.0-42-generic
 (/boot/vmlinuz-4.10.0-42-generic) -- doing nothing at /var/lib/dpkg/info/linux-image-4.10.0-42-generic.postinst line 491.
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.10.0-42-generic /boot/vmlinuz-4.10.0-42-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.10.0-42-generic /boot/vmlinuz-4.10.0-42-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.10.0-42-generic /boot/vmlinuz-4.10.0-42-generic
update-initramfs: Generating /boot/initrd.img-4.10.0-42-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.10.0-42-generic /boot/vmlinuz-4.10.0-42-generic
run-parts: failed to stat component /etc/kernel/postinst.d/update-notifier: No such file or directory
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-4.10.0-42-generic.postinst line 1052.
dpkg: Fehler beim Bearbeiten des Paketes linux-image-4.10.0-42-generic (--configure):
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 2 zurück
dpkg: Fehler beim Bearbeiten des Paketes linux-image-extra-4.10.0-42-generic (--configure):
 Paket linux-image-extra-4.10.0-42-generic ist nicht bereit zur Konfiguration
 kann nicht konfiguriert werden (momentaner Status »half-installed«)
Fehler traten auf beim Bearbeiten von:
 linux-image-4.10.0-42-generic
 linux-image-extra-4.10.0-42-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
Das Ausführen des angeforderten Vorgangs auf das Paket schlug fehl. Wiederherstellungsversuch:
linux-image-4.10.0-42-generic (4.10.0-42.46) wird eingerichtet ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
initrd.img(/boot/initrd.img-4.10.0-42-generic
) points to /boot/initrd.img-4.10.0-42-generic
 (/boot/initrd.img-4.10.0-42-generic) -- doing nothing at /var/lib/dpkg/info/linux-image-4.10.0-42-generic.postinst line 491.
vmlinuz(/boot/vmlinuz-4.10.0-42-generic
) points to /boot/vmlinuz-4.10.0-42-generic
 (/boot/vmlinuz-4.10.0-42-generic) -- doing nothing at /var/lib/dpkg/info/linux-image-4.10.0-42-generic.postinst line 491.
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.10.0-42-generic /boot/vmlinuz-4.10.0-42-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.10.0-42-generic /boot/vmlinuz-4.10.0-42-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.10.0-42-generic /boot/vmlinuz-4.10.0-42-generic
update-initramfs: Generating /boot/initrd.img-4.10.0-42-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.10.0-42-generic /boot/vmlinuz-4.10.0-42-generic
run-parts: failed to stat component /etc/kernel/postinst.d/update-notifier: No such file or directory
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-4.10.0-42-generic.postinst line 1052.
dpkg: Fehler beim Bearbeiten des Paketes linux-image-4.10.0-42-generic (--configure):
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 2 zurück
Fehler traten auf beim Bearbeiten von:
 linux-image-4.10.0-42-generic
Any updates/upgrades to additional packages go alright. The aptitude-upgrade process also removes some additional bootable systems from grub.conf. While I do know how to correct this situation temporarily, it is very annoying. I wonder how I can fix this situation. Thanks for any hints.
Regards H. Stoellinger, Austria
 
Old 12-18-2017, 04:06 PM   #2
Mara
Moderator
 
Registered: Feb 2002
Location: Grenoble
Distribution: Debian
Posts: 9,696

Rep: Reputation: 232Reputation: 232Reputation: 232
Have you tried
sudo apt-get install -f
This will try to fix broken packages. Should work in your case.
 
Old 12-20-2017, 01:44 PM   #3
hstoellinger
LQ Newbie
 
Registered: Jun 2015
Location: Salzburg
Distribution: Mint, Debian 8
Posts: 14

Original Poster
Rep: Reputation: Disabled
Hello,
Looking at the above output more closely, I found that - while there is a symbolic link
update-notifier -> /usr/share/update-notifier/notify-reboot-required in /etc/kernel/postinst.d - the file pointed to is actually missing. Everything now works fine after installing package "update-notifier-common" plus prereqs.
H. S.

Last edited by hstoellinger; 12-20-2017 at 01:57 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Graphics troubles since upgrade. Yoshimitsuspeed Ubuntu 22 07-04-2010 04:31 PM
SuSE 9.2 Upgrade Troubles apache363 Linux - Software 0 01-24-2005 05:38 PM
apt-get upgrade - troubles. littlemidget Debian 4 08-28-2004 01:18 PM
Upgrade Troubles Sidicas Linux - Software 0 04-16-2004 05:11 PM
RPM upgrade troubles Leon Linux - Software 2 11-08-2001 02:32 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 08:55 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration